# Dube and Zipperer (2015) replication package
Version 0.1 - 30 Sep 2015

## Summary 
This replication package is for the March 2015 version of
Dube, Arindrajit and Ben Zipperer. 2015. "Pooling Multiple Case Studies using Synthetic Controls:
An Application to Minimum Wage Case Studies." IZA Discussion Paper 8944. http://ftp.iza.org/dp8944.pdf.

All of the datasets, results, tables, and figures are contained in this replication package. All of the code is in the `do/` subdirectory, with the exception of some of the code for the placebo-law randomization inference, which is in `nonmwplacebo/do/` and is described below. 

To re-create all of the analysis, tables, and figures starting from the "raw" data, run `do/master.do`. Although you should always run `master.do` to replicate any portion of the project, you do not necessarily need to run all of the do-files called by `master.do`: for example, if you only want to re-create the figures without re-creating the underlying analysis, you can simply run `master.do` after commenting out all do-files except for `create_figures.do`.

In order for the do-files to run correctly, you may need to change the global macros describing the directory structure at the top of `master.do` and in `set_globalmacros.do`.

## Aggregating CPS data
Commented out in `master.do` is the line running `clean_cps.do`, which aggregates individual-level basic monthly CPS data from Unicon and CPS ORG data from NBER into state X quarter means. This replication package already provides the state X quarter-aggregated data. If you want to recreate the aggregated data, be sure you have obtained the version of this replication package containing the individual-level basic monthly CPS and CPS ORG data, uncomment the line calling `clean_cps.do`, and then run `master.do`.

## Synthetic control results 
Commented out in `master.do` is the line running the do-file `create_baseresults.do`, which creates the synthetic controls for all of the 29 treated states and their donors. Although this replication package provides all of the resulting synthetic controls as Stata datasets, if you want to re-create them, uncomment the line calling `create_baseresults.do` and then run `master.do`. Be aware that this may take a long time to complete.

We found that creating synthetic controls is computationally intensive and the synth routine for Stata does not efficiently use all available processors. In order to "parallelize" the creation of synthetic controls, we use the R package multicore to assign Stata jobs to available CPUs, where each job creates the synthetic control for a treatment state or donor. `create_baseresults.do` writes an R script and then runs R, which in turn assigns to available CPUs a batch of Stata jobs creating synthetic controls for each treated and donor state, saving each result as a Stata dataset.

## Randomization inference results in Table 10
Table 10 of the paper presents results from a randomization inference exercise using synthetic control results from placebo laws. Although this replication package provides all of the synthetic control results used in Table 10, if you want to re-create these synthetic controls you will separately need to run the do-file `nonmwplacebo/do/master_nonmwplacebo.do` after uncommenting its line calling `create_nonmwplaceboresults.do`. Be aware that this may take a long time to complete.

