
tempfile vmatrix_summary
local proccounter = 0
foreach procedure in $procedurelist {
	local proccounter = `proccounter' + 1 
	local outcomecounter = 0
	foreach outcome in $outcomelist {
		local outcomecounter = `outcomecounter' + 1
		if `outcomecounter' == 1 {
			use ${compresults}`procedure'`outcome'vmatrix_allopt_actuals.dta, clear
			gen str outcome = "`outcome'"
		}
		else {
			append using ${compresults}`procedure'`outcome'vmatrix_allopt_actuals.dta
			replace outcome = "`outcome'" if outcome == ""
		}
	} // outcome

	keep event treatdate treatedstatefipsnum treatedstateabb predictor weight outcome group preconfig postconfig
	gen byte dlm = regexm(predictor,"^age_group") == 1 | regexm(predictor,"blackrate_group") == 1 | regexm(predictor,"whiterate_group") == 1 | regexm(predictor,"femrate_group") == 1 | regexm(predictor,"unmem") == 1 | regexm(predictor,"urate") == 1
	gen byte ind = regexm(predictor,"ind_") == 1

	gen byte preoutcome = regexm(predictor,"^erate_group") == 1 | regexm(predictor,"^mean_wage_group") == 1
	foreach category in dlm ind preoutcome {
		gen `category'_weight = weight * `category'
	}
	collapse (sum) *_weight, by(group preconfig postconfig event outcome)
	collapse (mean) *_weight, by(group preconfig postconfig outcome)
	gen procedure = "`procedure'"
	gen allopt = 1
	if `proccounter' == 1 save `vmatrix_summary', replace
	else {
		append using `vmatrix_summary'
		save `vmatrix_summary', replace
	}
} // procedure

use `vmatrix_summary', clear
gen synthnumber = substr(procedure,6,.)
destring synthnumber, replace
sort outcome allopt synthnumber

replace dlm_weight = . if inlist(synthnumber,1) == 1 
replace ind_weight = . if inlist(synthnumber,1,2) == 1

compress
save ${tabledata}vmatrix_summary.dta, replace


