* clean minimum wage data

import excel using "${rawdata}Final MW List by State 1984-2013 Feb 2013.xlsx", clear firstrow
* some blank obs exist after import
drop if minwage == .
* some state_mw obs are spaces not blanks
replace state_mw = "" if state_mw == " "
destring state_mw, replace
rename state_name statename
rename minwage mw
merge m:1 statename using ${cleandata}state_names.dta, keepusing(statefipsnum stateabb) nogenerate assert(3)
keep stateabb statefipsnum year month mw fed_mw
* 1986 is missing for some reason
keep if year > 1986
compress
save ${cleandata}allegretto_monthlymw_1987_2013.dta, replace


* autor manning smith mw data
use ${rawdata}ams_minwage-monthly-1974-2009.dta, clear
gen str2 stateabb = upper(sname)
rename minw mw
rename fedmin fed_mw
merge m:1 stateabb using ${cleandata}state_names.dta, keepusing(statefipsnum) nogenerate assert(3)
keep stateabb statefipsnum year month mw fed_mw
keep if year <= 1986 & year >= 1979
save ${cleandata}autormanningsmith_monthlymw_1979_1986.dta, replace

use ${cleandata}allegretto_monthlymw_1987_2013.dta, clear
append using ${cleandata}autormanningsmith_monthlymw_1979_1986.dta
* assemble mw data
gen quarter = quarter(dofm(ym(year,month)))
* convert to quarterly data 
collapse (mean) statefipsnum mw fed_mw, by(stateabb quarter year)
gen date = yq(year,quarter)
format date %tq
tsset statefipsnum date

* define a variable indicating that states have begun inflation adjusted MWs.
* This marks first and all other increases due to inflation-indexing ONLY.
* This is an increase that is ONLY the result of cost of living adjustment,
* excluding another statutory increase.
* e.g., WA passed legislation in 1998: increased minimum to 5.70 in 1999 & 6.50 in 2000
* but first inflation-based adjustment was in 2001.

gen byte indexedwage = 0
replace indexedwage = 1 if stateabb == "WA" & year >= 2001
replace indexedwage = 1 if stateabb == "OR" & year >= 2004
replace indexedwage = 1 if stateabb == "FL" & year >= 2006
replace indexedwage = 1 if stateabb == "VT" & year >= 2007
replace indexedwage = 1 if stateabb == "NV" & date >= tq(2007q3)
replace indexedwage = 1 if stateabb == "OH" & year >= 2008
replace indexedwage = 1 if stateabb == "MT" & year >= 2008
replace indexedwage = 1 if stateabb == "MO" & year >= 2008
replace indexedwage = 1 if stateabb == "CO" & year >= 2008
replace indexedwage = 1 if stateabb == "AZ" & year >= 2008

save ${cleandata}mw_quarterly_1979_2013.dta, replace









