* compile datasets together in convenient form
* create a useful treatment summary dataset
use ${cleandata}finaltreatments_prelength99_postlength99.dta, clear
keep date statefipsnum stateabb treatmentid prewindow postwindow
rename treatmentid event
rename date treatdate
merge m:1 statefipsnum using ${cleandata}state_names.dta, keepusing(division region) keep(3) nogenerate
rename statefipsnum treatedstatefipsnum
rename stateabb treatedstateabb
rename division treateddivision
rename region treatedregion	
tempfile treatmentsummary			
save `treatmentsummary'

* load the iteration numbers so that we can look up appropriate individual files
use ${indresults}pre99_post99.dta, clear
qui sum iteration if treated == 1
local actuals_itmin = r(min)
local actuals_itmax = r(max)
qui sum iteration if treated == 0
local placebos_itmin = r(min)
local placebos_itmax = r(max)

foreach procedure in $procedurelist {
	foreach ttype in actuals placebos {
		if $`ttype' == 1 {
			foreach outcome in $outcomelist {
				foreach dataset in results weights vmatrix {

					* compile results over iterations and demo groups
					local counter = 0
					forvalues iteration = ``ttype'_itmin' / ``ttype'_itmax' {
						foreach group of numlist $demogroupnumlist {
							local counter = `counter' + 1
							if `counter' == 1 use ${indresults}`procedure'`outcome'`dataset'_group`group'_pre99_post99${allopt}_iteration`iteration'.dta, clear
							else {
								use ${compresults}`procedure'`outcome'`dataset'_pre99_post99${allopt}_`ttype'.dta, clear
								append using ${indresults}`procedure'`outcome'`dataset'_group`group'_pre99_post99${allopt}_iteration`iteration'.dta
							}
							save ${compresults}`procedure'`outcome'`dataset'_pre99_post99${allopt}_`ttype'.dta, replace
						} // group
					} // iteration
					* merge useful treatment summary data
					* recall we are using the final filtered treatments
					merge m:1 event using `treatmentsummary', keep(3) nogenerate
					merge m:1 statefipsnum using ${cleandata}state_names.dta, keepusing(stateabb division region) keep(3) nogenerate
					gen preconfig = 99
					gen postconfig = 99
					save ${compresults}`procedure'`outcome'`dataset'_pre99_post99${allopt}_`ttype'.dta, replace

					save ${compresults}`procedure'`outcome'`dataset'${allopt}_`ttype'.dta, replace
					erase ${compresults}`procedure'`outcome'`dataset'_pre99_post99${allopt}_`ttype'.dta

				} // dataset
			} // outcome
		} // if ttype == 1
	} // ttype
} // procedure

