use ${cleandata}cpsbasic_statelevel.dta, clear
merge 1:1 statefipsnum date using ${cleandata}cpsmorg_statelevel.dta, assert(3) nogenerate

* Stack panels to correspond to treatments
joinby statefipsnum date using ${cleandata}treatmentsandcontrols_prelength99_postlength99.dta

* confirm each panel is balanced
egen datecount = count(date), by(treatmentid statefipsnum)
egen mincount = min(datecount), by(treatmentid)
egen maxcount = max(datecount), by(treatmentid)
assert mincount == maxcount
drop datecount mincount maxcount

* confirm donor count remains the same
egen _newnumdonors = count(statefipsnum) if control == 1, by(treatmentid date)
egen newnumdonors = max(_newnumdonors), by(treatmentid date)
assert newnumdonors == numdonors
drop *newnumdonors

compress
save ${cleandata}regready_macropanel_pre99_post99.dta, replace




