local premsperatiolist 2 5 10 20 
local resolution = 0.0001

qui foreach outcome in $outcomelist {
	use ${aggresults}synth${prefproc}`outcome'statistics_allopt_ranked_byevent, clear
	assert group == 1
	gen _treatedmspe = premspe if treated == 1
	egen treatedmspe = max(_treatedmspe), by(event)
	gen premsperatio = premspe / treatedmspe
	sum postelast if treated == 0, d
	local kurtosis = r(kurtosis)
	local sd = r(sd)
	local totaldonors = r(N)	
	local maxpostelast = r(max)
	local minpostelast = r(min)
	keep event premsperatio postelast treated placebo
	gen id = 1
	tempfile basicdata
	save `basicdata'
	
	foreach cutpoint of numlist `premsperatiolist' {
		noi di "Working on premspe cutpoint `cutpoint', outcome `outcome'"
		use `basicdata', clear
		keep if treated == 1 | premsperatio < `cutpoint'
		
		sum postelast if treated == 0, d
		local kurtosis`cutpoint' = r(kurtosis)
		local sd`cutpoint' = r(sd)
		local totaldonors`cutpoint' = r(N)
		local maxpostelast`cutpoint' = r(max)
		local minpostelast`cutpoint' = r(min)
		egen statecount = count(postelast), by(event)
		egen postelastrank = rank(postelast), by(event)
		gen postelastprank = postelastrank/(statecount + 1)
	
		tempfile inputdata`cutpoint' outputdata`cutpoint'
		save `inputdata`cutpoint''

		invertstats, inputdata(`inputdata`cutpoint'') outputaggregate(`outputdata`cutpoint'') aggcutoffs(${tabledata}pranksigcutoffs.dta) statlist(postelast) aggstatlist(mean) increment(0.001) id(id) cilev(95)

		}
	use ${tabledata}synth${prefproc}`outcome'statistics_allopt_aggregatedci.dta, clear
	gen trimmed = 0
	gen cutpoint = .
	gen kurtosis = `kurtosis'
	gen sd = `sd'
	gen numdonors = `totaldonors'
	gen maxpostelast = `maxpostelast'
	gen minpostelast = `minpostelast'
	foreach cutpoint of numlist `premsperatiolist' {
		append using `outputdata`cutpoint''
		replace cutpoint = `cutpoint' if trimmed == .
		replace trimmed = 1 if trimmed == .
		replace kurtosis = `kurtosis`cutpoint'' if kurtosis == .
		replace sd = `sd`cutpoint'' if sd == .
		replace numdonors = `totaldonors`cutpoint'' if numdonors == .
		replace maxpostelast = `maxpostelast`cutpoint'' if maxpostelast == .
		replace minpostelast = `minpostelast`cutpoint'' if minpostelast == .
	}
	gen fracdonors = numdonors / `totaldonors'
	rename cutpoint donormsperatio
	gen outcome = "`outcome'"
	tempfile `outcome'
	save ``outcome''
}
use `erate', clear
append using `wage'
sort outcome fracdonors
save ${tabledata}premsperatio_donortrimmed.dta, replace


