capture program drop randominf
program define randominf, rclass
preserve
local cilev = 95
local iterations = $sigsamplesize
di `iterations'
local stat postelast

sum `stat' if treated == 1
local origmean = r(mean)
keep if treated == 0
keep event `stat'

* only works with CI 95%
assert `cilev' == 95
if `cilev' == 95 {
	local locut = 2.5
	local hicut = 97.5
}

tempfile iterationresults
tempname sim 
tempvar rank uniform
postfile `sim' iteration donormean`stat' using `iterationresults'

set seed 30041002
qui forvalues iteration = 1 / `iterations' {
	noi di "Working on iteration `iteration'"
	* randomly select donor
	gen `uniform' = runiform()
	egen `rank' = rank(`uniform'), unique by(event)

	* find mean `stat'
	sum `stat' if `rank' == 1
	local donormean`stat' = r(mean)
	* post results
	post `sim' (`iteration') (`donormean`stat'')
	drop `uniform' `rank'
}
postclose `sim'
use `iterationresults', clear
gen ci = `origmean' - donormean`stat'
_pctile ci, percentiles(`locut' `hicut')
return local `stat'hi`cilev' = r(r2)
return local `stat'lo`cilev' = r(r1)
return local `stat'mean = `origmean'
restore
end


foreach outcome in $outcomelist {
	use ${aggresults}synth${prefproc}`outcome'statistics_allopt_ranked_byevent, clear
	gen _treatedrmspe = sqrt(premspe) if treated == 1
	egen _ranknegrmspe = rank(-_treatedrmspe) if treated == 1
	egen treatedrmspe = max(_treatedrmspe), by(event)
	egen ranknegrmspe = max(_ranknegrmspe), by(event)
	gen trim0 = 1

	foreach trimpoint of numlist 0 {
		preserve
		keep if trim`trimpoint' == 1
		randominf
		local hi = r(postelasthi95)
		local lo = r(postelastlo95)
		keep if treated == 1
		collapse (mean) postelast
		rename postelast postelastmean
		gen rinf_postelastmeanhi95 = `hi'
		gen rinf_postelastmeanlo95 = `lo'
		gen outcome = "`outcome'"
		gen trim = `trimpoint'
		tempfile `outcome'`trimpoint'
		save ``outcome'`trimpoint''
		restore
	}
}
use `erate0', clear
append using `wage0'
save ${tabledata}rinf_results.dta, replace

