local prelist 8 12 16 20 24 28 
local postlist 4 6 8 10 12

local resolution 0.001

qui foreach outcome in $outcomelist {
	use ${aggresults}synth${prefproc}`outcome'statistics_allopt_ranked_byevent, clear
	rename event treatmentid
	merge m:1 treatmentid using ${cleandata}finaltreatments_prelength99_postlength99, assert(3) nogenerate keepusing(treatmentid prewindow postwindow)
	rename treatmentid event
	gen id = 1
	
	foreach prepost in pre post {
		foreach length of numlist ``prepost'list' {
			preserve
			keep if `prepost'window >= `length'
			tab event, nofreq
			local numevents = r(r)
			tempfile input output outputHL
			save `input'

			noi di "Working on `outcome', `prepost' `length'"
			invertstats, inputdata(`input') outputaggregate(`output') statlist(postelast) aggcutoffs(${tabledata}pranksigcutoffs.dta) aggstatlist(mean) increment(`resolution') id(id) cilev(95)
			invertstats, inputdata(`input') outputaggregate(`outputHL') statlist(postelast) aggcutoffs(${tabledata}pranksigcutoffs.dta) aggstatlist(mean) increment(`resolution') id(id) cilev(95) hodgeslehmann

			use `outputHL', clear
			egen postelastHL = rowmean(postelastmeanloci95 postelastmeanhici95)
			keep postelastHL
			gen `prepost' = `length'
			tempfile HL
			save `HL'
			use `output', clear
			gen `prepost' = `length'
			merge 1:1 `prepost' using `HL', assert(3) nogenerate
			gen outcome = "`outcome'"
			gen numevents = `numevents'
			tempfile `outcome'`prepost'`length'
			save ``outcome'`prepost'`length''
			restore
		}
	}
} // outcome

local counter = 0
foreach outcome in $outcomelist {
	foreach prepost in pre post {
		foreach length of numlist ``prepost'list' {
			local counter = `counter' + 1
			if `counter' == 1 use ``outcome'`prepost'`length'', clear
			else append using ``outcome'`prepost'`length''
		}
	}
}
save ${tabledata}examine_windowlength.dta, replace
	

