* optimal model minimizes post-treatment mean donor mspe
* select optimal for each procedure, within group & outcome

use if preconfig == 99 & postconfig == 99 & group == 1 using ${tabledata}placeboresults_summary.dta, clear
collapse (mean) postmspe premspe synthnumber, by(group outcome procedure preconfig postconfig)
rename postmspe meanpostmspe
rename premspe meanpremspe
gen postrmspe = sqrt(meanpostmspe)
gen prermspe = sqrt(meanpremspe)
bysort group outcome (postrmspe): gen modelrank = _n

keep preconfig postconfig group outcome synthnumber procedure postrmspe modelrank
tempfile modelranks
save `modelranks'

foreach procedure in $procedurelist {
	foreach outcome in $outcomelist {
	use if procedure == "`procedure'" & outcome == "`outcome'" using ${tabledata}resultsmatrices_summary.dta, clear
	merge 1:1 preconfig postconfig group using ${tabledata}`procedure'`outcome'statistics_allopt_aggregatedci.dta, keep(3) nogenerate keepusing(*loci* *hici* postelastmeanHL)
	tempfile results`procedure'`outcome'
	save `results`procedure'`outcome''
	}
}

local counter = 0
foreach procedure in $procedurelist {
foreach outcome in $outcomelist {
	local counter = `counter' + 1
	if `counter' == 1 use `results`procedure'`outcome'', clear
	else append using `results`procedure'`outcome''
}
}


merge 1:1 preconfig postconfig group outcome procedure using `modelranks', nogenerate keep(3)
rename postelastmeanloci95 HLloci95
rename postelastmeanhici95 HLhici95
rename postelastmeanHL HLelast
rename postelastprankmean prankmean
rename postelastmedian elastmedian
rename postelastmean elastmean
rename synthnum spec
gen HLcimidpoint = 0.5 * (HLloci95 + HLhici95)
keep outcome spec elastmedian elastmean prankmean HLelast HLloci95 HLhici95 HLcimidpoint postrmspe modelrank
order outcome spec elastmedian elastmean prankmean HLelast HLloci95 HLhici95 HLcimidpoint postrmspe modelrank
sort modelrank


list if outcome == "erate", ab(12)
list if outcome == "wage", ab(12)








