* compile datasets together in convenient form
* create a useful treatment summary dataset

use ${cleandata}finaltreatments_prelength99_postlength99.dta, clear
rename date treatdate
keep treatmentid treatdate prewindow postwindow
tempfile treatments
save `treatments'

foreach procedure in $procedurelist {
	use ${indresults}nonmwplacebos_pre99_post99.dta, clear
	qui sum iteration
	local itmin = r(min)
	local itmax = r(max)

	* for each outcome X dataset, compile all treatments-demogroups results
	qui foreach outcome in erate {
		foreach dataset in results weights {
			local counter = 0
			foreach iteration of numlist `itmin'/`itmax' {
				foreach group of numlist $demogroupnumlist {
					noi di "Compiling dataset `dataset', group `group', event `iteration' of `itmax'"
					local counter = `counter' + 1
					if `counter' == 1 use ${indresults}`procedure'`outcome'`dataset'_group`group'_pre99_post99${allopt}_nonmwplaceboiteration`iteration'.dta, clear
					else {
						use ${compresults}`procedure'`outcome'`dataset'_pre99_post99${allopt}_nonmwplacebo.dta, clear
						append using ${indresults}`procedure'`outcome'`dataset'_group`group'_pre99_post99${allopt}_nonmwplaceboiteration`iteration'.dta
					}
					save ${compresults}`procedure'`outcome'`dataset'_pre99_post99${allopt}_nonmwplacebo.dta, replace
				} // group
			} // iteration
			* merge useful treatment summary data
			merge m:1 statefipsnum using ${cleandata}state_names.dta, keepusing(stateabb division region) keep(3) nogenerate
			if "`dataset'" == "results" joinby treatdate prewindow postwindow using `treatments'
			save ${compresults}`procedure'`outcome'`dataset'_pre99_post99${allopt}_nonmwplacebo.dta, replace
		} // dataset
	} // outcome
} // procedure


